Doomsday Engine - Bug #1929
Sprite priority handling
2014-12-12 20:31 - vermil

Status: Progressed Start date: 2014-12-12
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Modding

Description

If presented with multiple sprite lumps that cover the same frame, Dday appears to prioritize them differently to Chocolate Doom.

1.POSSA0
2.POSSA2A8
3.POSSA2+POSSA8

Dday appears to prioritize in the order of 1,2,3. But Chocolate Doom appears to prioritize in the order of 3,2,1. This actually means
Dday can end up using both A0 and A2A8/A2+A8 at the same time.

| admit that | haven't tested this one against Vanilla Doom, but | have read that Vanilla Doom should match Chocolate Doom in this
regard (and it would be a mistake in Chocolate Doom if it didn't match Vanilla with this).

History

#1 - 2014-12-12 20:39 - vermil
Probably better to replace POSSA2A8 and POSSA2+A8 with POSSA1B1 and POSSA1+B1 respectively, in the above example.

#2 - 2015-02-02 11:47 - skyjake
- Tags set to Resources, Sprites

- Category set to Vanilla emulation

#3 - 2015-03-11 18:53 - danij

Evidently this is also sensitive to the load order. In the above example, if one provides an additional POSSAO lump after the supplementary sprites for
the other rotations - vanilla will ignore the extra rotations and use POSSAO for alll.

Clearly a vanilla-compatible mechanism will require special case handling for this quirky behavior.

#4 - 2015-07-07 07:55 - danij
- Assignee set to danij

- Target version set to 2.0 — Home Ul & Packages

#5 - 2016-07-05 23:46 - skyjake

- Status changed from New to Progressed

#6 - 2016-10-15 22:03 - skyjake
- Target version changed from 2.0 — Home Ul & Packages to Modding

#7 - 2019-11-29 23:06 - skyjake
- Assignee deleted (danij)
